import type { ExtractPropTypes, StyleValue } from 'vue';
import type { Options, Placement } from '@popperjs/core';
declare type ClassObjectType = Record<string, boolean>;
declare type ClassType = string | ClassObjectType | ClassType[];
export declare const usePopperCoreConfigProps: {
    readonly boundariesPadding: import("element-ps/es/utils").BuildPropReturn<NumberConstructor, 0, unknown, unknown, unknown>;
    readonly fallbackPlacements: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<Placement[]>, () => never[], unknown, unknown, unknown>;
    readonly gpuAcceleration: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly offset: import("element-ps/es/utils").BuildPropReturn<NumberConstructor, 12, unknown, unknown, unknown>;
    readonly placement: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "bottom", unknown, Placement, unknown>;
    readonly popperOptions: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<Partial<Options>>, () => {}, unknown, unknown, unknown>;
    readonly strategy: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "absolute", unknown, "fixed" | "absolute", unknown>;
};
export declare const usePopperContentProps: {
    readonly style: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<StyleValue>, unknown, unknown, unknown, unknown>;
    readonly className: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<ClassType>, unknown, unknown, unknown, unknown>;
    readonly effect: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "dark", unknown, unknown, unknown>;
    readonly visible: BooleanConstructor;
    readonly enterable: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly pure: BooleanConstructor;
    readonly popperClass: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<ClassType>, unknown, unknown, unknown, unknown>;
    readonly popperStyle: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<StyleValue>, unknown, unknown, unknown, unknown>;
    readonly referenceEl: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<HTMLElement>, unknown, unknown, unknown, unknown>;
    readonly stopPopperMouseEvent: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly zIndex: NumberConstructor;
    readonly boundariesPadding: import("element-ps/es/utils").BuildPropReturn<NumberConstructor, 0, unknown, unknown, unknown>;
    readonly fallbackPlacements: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<Placement[]>, () => never[], unknown, unknown, unknown>;
    readonly gpuAcceleration: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly offset: import("element-ps/es/utils").BuildPropReturn<NumberConstructor, 12, unknown, unknown, unknown>;
    readonly placement: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "bottom", unknown, Placement, unknown>;
    readonly popperOptions: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<Partial<Options>>, () => {}, unknown, unknown, unknown>;
    readonly strategy: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "absolute", unknown, "fixed" | "absolute", unknown>;
};
export declare type UsePopperContentProps = ExtractPropTypes<typeof usePopperContentProps>;
export declare type UsePopperCoreConfigProps = ExtractPropTypes<typeof usePopperCoreConfigProps>;
export {};
